---
title: Python et PyCharm avec une brique et un trombone
author: Steve Kossouho
---

# Installer PyCharm et Python sous Windows

Dans un environnement contraint :

- Pas de droits administrateur sur la machine
- Pas d'accès à la majorité des noms de domaine

----

## Installer Python

Lorsqu'il est impossible d'**installer** Python sur une machine, il est généralement possible d'en exécuter tout de
même une version dite portable. Il existe deux packages portables, le package officiel du site Python (incomplet pour nos besoins),
ainsi qu'une version nommée **WinPython** :

- [WinPython 3.12 Windows 64-bit](https://github.com/winpython/winpython/releases/download/7.5.20240410final/Winpython64-3.12.3.0dot.exe) (19 avril 2024)
- [Python 3.12.4 Windows 64-bit embeddable](https://www.python.org/ftp/python/3.12.4/python-3.12.4-embed-amd64.zip) (6 juin 2024)

Un seul des deux liens est nécessaire, **préférez WinPython** car il contient des outils supplémentaires pour Python, notamment
la bibliothèque interne pour créer des environnements virtuels.

----

## Installer PyCharm

Le logiciel PyCharm semble s'installer même sans les droits administrateur, et nécessite seulement de se rendre sur le site de JetBrains :

1. Rendez-vous en bas de [Téléchargement PyCharm pour Windows](https://www.jetbrains.com/fr-fr/pycharm/download/?section=windows);
2. Pour directement télécharger la version gratuite (**plus bas dans la page**), suivez ce lien : [Téléchargement PyCharm Community](https://www.jetbrains.com/fr-fr/pycharm/download/download-thanks.html?platform=windows&code=PCC)
3. L'installation devrait se lancer malgré l'invite d'accès administrateur.

----

### Gérer ses environnements virtuels et projets

Nous avons vu comment créer des venv pour Python. Dans votre configuration, il est conseillé de se baser sur l'interface de PyCharm 
pour les créer, en observant quelques précautions :

- Le dossier pour créer le venv devrait être un dossier vide
- Le nom de ce dossier peut débuter par un `.` pour le différencier des autres dossiers de projet
- Pour le reconnaître _a posteriori_, préférez le nommer avec le terme `venv`
- Préférez également ne pas le nommer avec des majuscules, des tirets ou des espaces

----

## Utiliser l'outil pip

----

### Installer des paquets depuis un répertoire local

Si vous souhaitez installer des paquets qui sont (avec leurs dépendances) disponibles dans un répertoire local avec `pip`, que ce
soit via un fichier `requirements.txt` ou manuellement, vous devez utiliser l'une des commandes suivantes (les options sont les plus importantes) :

```sh {.numberLines}
pip install -r requirements.txt --no-index --find-links=<répertoire>
```

```sh {.numberLines}
pip install <fichier .whl> --no-index --find-links=<répertoire>
```

- L'option `--no-index` désactive la recherche de paquets sur le PyPI
- L'option `--find-links` permet d'indiquer où chercher des paquets

----

### Configurer pip pour utiliser automatiquement un dépôt personnalisé

Il est possible de créer un fichier de configuration que pip trouve automatiquement pour utiliser par défaut
certaines options.

- Sous Linux : `/home/<user>/.pip/pip.conf` ou [Dans le répertoire du venv](https://pip.pypa.io/en/stable/topics/configuration/#location)
- Sous Windows : [Dans le répertoire du venv](https://pip.pypa.io/en/stable/topics/configuration/#location)

----

### Contenu du fichier de configuration (Exemple)

Le fichier que vous devez créer est différent selon le système d'exploitation (voir slide précédent), mais son contenu
est toujours le même si vous êtes dans le même réseau d'entreprise :

```ini {.numberLines}
[global]
index = https://...
index-url = https://...
trusted-host = ...
```

